Subject: Re: [bug#75688] [PATCH 0/2] Introduce GUIX_LIBRARY_PATH to replace harmful environment variables

From: 宋文武 <[email-masked]>
Date: Fri, 24 Jan 2025 10:51:12 +0800

Liliana Marie Prikler <[email-masked]> writes:

> Am Mittwoch, dem 22.01.2025 um 17:42 +0800 schrieb 宋文武:
>> > You'd still have some glue code reading .VARIABLE and
>> > then doing a bunch of setenv before launching the actual program,
>> > no?  That glue code is currently the shell or Guile script used to
>> > wrap the binaries.
>> 
>> The point for those .VARIABLE files is without wrapper scripts
>> there're no setenv call anymore, ensure that getenv only get profiles
>> paths, in another words: reading from file and apply the values
>> replaced setenv then getenv and apply the values.
> I think this is too big a change to be sneakily added onto a
> replacement for an upstream environment variable with a GUIX_-prefixed
> one.  I think this should be discussed more broadly, using a Guix
> Consensus Document for example.

Okay, I'll try a GCD later.

> As for adding GUIX_GDK_PIXBUF_MODULE_FILES, I think this could safely
> be done on gnome-team.
>
> What do y'all think?

Sure, I'll send a patch for that later.

Thanks.